Description

The attached patch changes the default value for "Preferred part of multipart (HTML) emails" to "HTML".

The option to decide whether the text part or the HTML part should be used first when receiving an HTML email was introduced in

Redmine 4.1.0 (#30838). At that time, the option to use the HTML part was treated as an experimental feature, and the default was

to use the text part as in previous versions.

Our company has been using the HTML-first option for almost two years, and we have had no problems.

I think it is time to change the default value for new installations to HTML because the feature is mature enough and more and more

emails are sent in HTML format now.

Related issues:

Related to Redmine - Feature #35679: Ignore text email parts only stating tha... New

History

#1 - 2021-03-29 08:31 - Go MAEDA

- Target version set to 5.0.0

Setting the target version to 5.0.0.

#2 - 2021-03-30 11:17 - Holger Just

When receiving a mail, we extract the text part in order to add a journal node or issue description as a Textile or Markdown document. Right now,

when there is no plain text part, we use the HTML parsing as a fallback and to try to extract useful data from it.

However, I believe the original sender will always have more information about the plain data than we could reliably extract. As such, I generally

believe that the plain text alternative should be generally preferred to trying to extract HTML. Still, I see a (regretful) trend to prioritize HTML in certain

emails such as marketing or notification messages which makes it sometimes harder to use the plain text part as is due to bad data.

With that being said, can you show any data to suggest that the HTML extraction produces better results than using the plain text part for most mails?

My intuition would still be that the plain text part is a better fit for the vast majority of cases I have seen so far.

#3 - 2021-03-31 04:31 - Go MAEDA

- Target version changed from 5.0.0 to Candidate for next major release

Thank you for your feedback.

In our environment, some of the emails we received did not have a proper text part, and often creating issues that did not have the proper content.

This is why I needed this feature and suggesting the default value to HTML.

However, changing the default value of this setting is not a high priority for me, so I would like to withdraw the proposal if there are any objections.

Apart from changing the default value, I think we can change the label from "HTML (experimental)" to "HTML". I will open another issue for this.

#4 - 2021-07-25 07:40 - Go MAEDA

- Target version deleted (Candidate for next major release)

#5 - 2021-09-05 07:33 - Go MAEDA

- Related to Feature #35679: Ignore text email parts only stating that the email should be viewed as HTML added
